Index: trunk/LMDZ.VENUS/libf/phyvenus/physiq.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 1530)
+++ trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 1543)
@@ -58,5 +58,5 @@
       USE infotrac
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, only: longitude, latitude, cell_area, dx, dy
       USE mod_phys_lmdz_para, only : is_parallel,jj_nb
       USE phys_state_var_mod ! Variables sauvegardees de la physique
@@ -665,5 +665,5 @@
       DO k = 1, klev
       DO i = 1, klon      
-         ilat=(rlatd(i)/5.625) + 17.
+         ilat=(latitude(i)/5.625) + 17.
          delta_temp(i,k)=mat_dtemp(INT(ilat),k)
       ENDDO
@@ -719,5 +719,5 @@
       IF (if_ebil.ge.1) THEN 
         ztit='after dynamic'
-        CALL diagetpq(airephy,ztit,ip_ebil,1,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,1,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
@@ -726,5 +726,5 @@
 C     est egale a la variation de la physique au pas de temps precedent.
 C     Donc la somme de ces 2 variations devrait etre nulle.
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, zero_v
      e      , zero_v, zero_v, zero_v, ztsol
@@ -767,5 +767,5 @@
       DO k = 1, klev
        DO i = 1, klon
-        omega(i,k) = RG*flxmw(i,k) / airephy(i)
+        omega(i,k) = RG*flxmw(i,k) / cell_area(i)
        END DO
       END DO
@@ -832,7 +832,7 @@
       IF (cycle_diurne) THEN
         zdtime=dtime*REAL(radpas) ! pas de temps du rayonnement (s)
-        CALL zenang(zlongi,gmtime,zdtime,rlatd,rlond,rmu0,fract)
+        CALL zenang(zlongi,gmtime,zdtime,latitude,longitude,rmu0,fract)
       ELSE
-        call mucorr(klon,zlongi,rlatd,rmu0,fract)
+        call mucorr(klon,zlongi,latitude,rmu0,fract)
       ENDIF
       
@@ -859,5 +859,5 @@
      I                   debut,lafin,nqmax,
      I                   nlon,nlev,dtime,paprs,
-     I                   rlatd,rlond,
+     I                   latitude,longitude,
      O                   tr_seri)
 
@@ -869,6 +869,6 @@
            DO k = 1, klev
            DO i = 1, klon      
-             ilat=(rlatd(i)/5.625) + 17.
-!             PRINT*,INT(ilat),rlatd(i),mat_dtemp(INT(ilat),k)
+             ilat=(latitude(i)/5.625) + 17.
+!             PRINT*,INT(ilat),latitude(i),mat_dtemp(INT(ilat),k)
              delta_temp(i,k)=mat_dtemp(INT(ilat),k)
            ENDDO
@@ -888,6 +888,6 @@
      I             nqmax,
      I             klon,
-     I             rlatd,
-     I             rlond,
+     I             latitude,
+     I             longitude,
      I             nlev,
      I             dtime,
@@ -902,6 +902,6 @@
      I             nqmax,
      I             klon,
-     I             rlatd,
-     I             rlond,
+     I             latitude,
+     I             longitude,
      I             nlev,
      I             dtime,
@@ -926,13 +926,13 @@
            CALL new_cloud_sedim(
      I                 klon,
-     I		     nlev,
-     I		     dtime,
+     I                     nlev,
+     I                     dtime,
      I                 pplay,
-     I		     paprs,
-     I		     t_seri+delta_temp,
+     I                     paprs,
+     I                     t_seri+delta_temp,
      I                 tr_seri,
-     O		     d_tr_sed,
-     O		     d_tr_ssed,
-     I		     nqmax,
+     O                     d_tr_sed,
+     O                     d_tr_ssed,
+     I                     nqmax,
      O                 Fsedim)
          else
@@ -940,13 +940,13 @@
            CALL new_cloud_sedim(
      I                 klon,
-     I		     nlev,
-     I		     dtime,
+     I                     nlev,
+     I                     dtime,
      I                 pplay,
-     I		     paprs,
-     I		     t_seri,
+     I                     paprs,
+     I                     t_seri,
      I                 tr_seri,
-     O		     d_tr_sed,
-     O		     d_tr_ssed,
-     I		     nqmax,
+     O                     d_tr_sed,
+     O                     d_tr_ssed,
+     I                     nqmax,
      O                 Fsedim)
 
@@ -1032,5 +1032,5 @@
      $            paprs,pplay,ppk,radsol,falbe,
      e            solsw, sollw, sollwdown, fder,
-     e            rlond, rlatd, cuphy, cvphy,   
+     e            longitude, latitude, dx, dy,   
      e            debut, lafin,
      s            d_t_vdf,d_u_vdf,d_v_vdf,d_ts,
@@ -1082,8 +1082,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after clmain'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-         call diagphy(airephy,ztit,ip_ebil
+         call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1175,8 +1175,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after dry_adjust'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,2,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,2,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1215,5 +1215,5 @@
       IF(callnlte.or.callthermos) THEN                                 
          call compo_hedin83_mod(pplay,rmu0,   
-     &	         co2vmr_gcm,covmr_gcm,ovmr_gcm,n2vmr_gcm,nvmr_gcm)
+     &                 co2vmr_gcm,covmr_gcm,ovmr_gcm,n2vmr_gcm,nvmr_gcm)
 
          IF(ok_chem) then
@@ -1234,5 +1234,5 @@
          ENDIF
 
-       ENDIF	
+       ENDIF        
 
 c
@@ -1261,5 +1261,5 @@
           d_t_nlte(:,:)=0.
 
-        ENDIF	
+        ENDIF        
 
 c      Find number of layers for LTE radiation calculations
@@ -1293,7 +1293,7 @@
      &          cool, d_t_nirco2,d_t_nlte, dtsw, dtlw)
         ELSE
-	   dtsw(:,:)=heat(:,:)
-	   dtlw(:,:)=-1*cool(:,:)
-	ENDIF
+           dtsw(:,:)=heat(:,:)
+           dtlw(:,:)=-1*cool(:,:)
+        ENDIF
 
          DO k=1,klev
@@ -1319,5 +1319,5 @@
      $         rmu0,pdtphys,gmtime,rjourvrai,
      $         tr_seri, d_tr, d_t_euv )
- 		
+                 
            DO k=1,klev
               DO ig=1,klon
@@ -1405,8 +1405,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after rad'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,2,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,2,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , topsw, toplw, solsw, sollw, zero_v
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1424,7 +1424,7 @@
        do i=1,klon
         do k=2,klev
-	  ztlev(i,k)  = (t_seri(i,k)+t_seri(i,k-1))/2.
-	  zpklev(i,k) = sqrt(ppk(i,k)*ppk(i,k-1))
-	enddo
+          ztlev(i,k)  = (t_seri(i,k)+t_seri(i,k-1))/2.
+          zpklev(i,k) = sqrt(ppk(i,k)*ppk(i,k-1))
+        enddo
        enddo
        call t2tpot(klon*klev,ztlev, ztetalev,zpklev)
@@ -1432,9 +1432,9 @@
        do i=1,klon
         do k=2,klev
-	  zdtetalev(i,k) = ztetalay(i,k)-ztetalay(i,k-1)
-	  zdzlev(i,k)    = (zphi(i,k)-zphi(i,k-1))/RG
+          zdtetalev(i,k) = ztetalay(i,k)-ztetalay(i,k-1)
+          zdzlev(i,k)    = (zphi(i,k)-zphi(i,k-1))/RG
           zn2(i,k) = RG*zdtetalev(i,k)/(ztetalev(i,k)*zdzlev(i,k))
           zn2(i,k) = max(zn2(i,k),1.e-12)  ! securite
-	enddo
+        enddo
         zn2(i,1) = 1.e-12  ! securite
        enddo
@@ -1479,6 +1479,6 @@
          d_u_oro = 0.
          d_v_oro = 0.
-	 zustrdr = 0.
-	 zvstrdr = 0.
+         zustrdr = 0.
+         zvstrdr = 0.
 c
       ENDIF ! fin de test sur ok_orodr
@@ -1508,5 +1508,5 @@
 c A ADAPTER POUR VENUS!!!
 c            CALL lift_noro(klon,klev,dtime,paprs,pplay,
-c     e                   rlatd,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+c     e                   latitude,zmea,zstd,zpic,zgam,zthe,zpic,zval,
 c     e                   igwd,idx,itest,
 c     e                   t_seri, u_seri, v_seri,
@@ -1567,7 +1567,7 @@
 c====================================================================
       if (ballons.eq.1) then
-         CALL ballon(30,pdtphys,rjourvrai,gmtime*RDAY,rlatd,rlond,
-c    C               t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
-     C               t,pplay,u,v,zphi)   ! alt above planet average radius
+        CALL ballon(30,pdtphys,rjourvrai,gmtime*RDAY,latitude,longitude,
+c    C              t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
+     C              t,pplay,u,v,zphi)   ! alt above planet average radius
       endif !ballons
 
@@ -1601,5 +1601,5 @@
       CALL aaam_bud (27,klon,klev,rjourvrai,gmtime*RDAY,
      C               ra,rg,romega,
-     C               rlatd,rlond,pphis,
+     C               latitude,longitude,pphis,
      C               zustrdr,zustrli,zustrcl,
      C               zvstrdr,zvstrli,zvstrcl,
@@ -1641,5 +1641,5 @@
       IF (if_ebil.ge.1) THEN 
         ztit='after physic'
-        CALL diagetpq(airephy,ztit,ip_ebil,1,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,1,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
@@ -1648,5 +1648,5 @@
 C     est egale a la variation de la physique au pas de temps precedent.
 C     Donc la somme de ces 2 variations devrait etre nulle.
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , topsw, toplw, solsw, sollw, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1687,7 +1687,7 @@
 c     DO k = 1, klev
 c     DO i = 1, klon
-c       mang(i,k) = RA*cos(rlatd(i)*RPI/180.)
-c    .     *(u_seri(i,k)+RA*cos(rlatd(i)*RPI/180.)*ROMEGA)
-c    .     *airephy(i)*(paprs(i,k)-paprs(i,k+1))/RG
+c       mang(i,k) = RA*cos(latitude(i)*RPI/180.)
+c    .     *(u_seri(i,k)+RA*cos(latitude(i)*RPI/180.)*ROMEGA)
+c    .     *cell_area(i)*(paprs(i,k)-paprs(i,k+1))/RG
 c       mangtot=mangtot+mang(i,k)
 c     ENDDO
